<template>
  <div>
    <button-back />
    <goal-form :goal="goal" :process="update" />
  </div>
</template>

<script>
import ButtonBack from '~/components/buttons/Back'
import GoalForm from '~/components/goal/GoalForm'

export default {
  components: {
    ButtonBack,
    GoalForm
  },

  data () {
    const id = this.$route.params.id
    const goal = this.$store.getters['goals/getGoalById'](id)

    return {
      goal
    }
  },

  methods: {
    async update (goalModel) {
      await this.$store.dispatch('goals/updateGoal', goalModel)
      this.$router.go(-1)
    }
  }
}
</script>
